/*
** Module   : LineStroke.java
** Abstract : defines well known line stroke types
**
** Copyright (c) 2015, Golden Code Development Corporation.
** ALL RIGHTS RESERVED. Use is subject to license terms.
**
**           Golden Code Development Corporation
**                      CONFIDENTIAL
**
** -#- -I- --Date-- ---------------------------------Description---------------------------------
** 001 GES 20150417 First version.
*/

package com.goldencode.p2j.ui.client.gui.driver;

/**
 * This is the list of all possible line stoke types.
 */
public enum LineStroke
{
   DEFAULT,
   DOTTED,
   DOTTED_SMALL,
   DOTTED_SMALL_THIN;
   
   /** Dotted line specific parameter. */
   public static final float DOT_STEP = 2.0f;
   
   /** Dotted line specific parameter. */
   public static final float DOT_STEP_SMALL = 1.0f;
   
   /** Dotted line width. */
   public static final float DOT_LINE_WIDTH = 1.0f;
   
   /** Dotted thin line width. */
   public static final float DOT_LINE_THIN_WIDTH = 0.5f;
}
