/*
** Module   : ChildProcessFactory.java
** Abstract : factory for obtaining interactive child process instances
**
** Copyright (c) 2015, Golden Code Development Corporation.
** ALL RIGHTS RESERVED. Use is subject to license terms.
**
**           Golden Code Development Corporation
**                      CONFIDENTIAL
**
** -#- -I- --Date-- ------------------------------Description----------------------------------
** 001 GES 20150410 First version. This interface helps isolate process launching from UI.
*/

package com.goldencode.p2j.util;

/**
 * Provides an API to instantiate interactive child process instances which are independent from
 * any specific UI modality.
 */
public interface ChildProcessFactory
{
   /**
    * Obtains a new instance of an interactive child process.
    *
    * @return   The new child process instance.
    */
   public InteractiveChildProcess getChildProcess();
}
